> For the complete documentation index, see [llms.txt](https://docs.globo.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globo.io/pre-order/app-api/rest-api/back-in-stock/delte-delete-submission.md).

# \[DELTE] Delete submission

You can delete single or multiple submissions within the same request.

### \* Authentication&#x20;

<mark style="color:red;">Required</mark> `Authorization`

Limit  `throttle:30,1`

### Request

Endpoint <mark style="background-color:green;">\[DELETE]</mark> - `/shop-api/back-in-stock/delete`&#x20;

**Payload body**

| Params | Type  | Required          |
| ------ | ----- | ----------------- |
| ids    | array | `yes` , `max:100` |

{% tabs %}
{% tab title="HTTP" %}

```http
DELETE /shop-api/back-in-stock/delete HTTP/1.1
Host: preorder.globo.io
Content-Type: application/json
Authorization: ************
Content-Length: 21

{
    "ids": [1324]
}
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
const myHeaders = new Headers();
myHeaders.append("Content-Type", "application/json");
myHeaders.append("Authorization", "************");
const raw = JSON.stringify({
  "ids": [
    1324
  ]
});
const requestOptions = {
  method: "DELETE",
  headers: myHeaders,
  body: raw,
  redirect: "follow"
};
fetch("https://preorder.globo.io/shop-api/back-in-stock/delete", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

{% endtab %}

{% tab title="PHP" %}

```php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://preorder.globo.io/shop-api/back-in-stock/delete',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'DELETE',
  CURLOPT_POSTFIELDS =>'{
    "ids": [1324]
  }',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: ************'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

{% endtab %}
{% endtabs %}

#### Success response `200`

```json
{
  "success": true,
  "message": "Back in stock products deleted successfully"
}
```

#### Failed

```json
// missing ids or ids is not array
{
  "success": false,
  "message": "The ids field is required"
}
// catch
{
  "success": false,
  "message": "Something went wrong"
}
```
